Model Processing¶
Slicing, conversion, healing, and model preparation.
Slicing¶
Endpoints related to slicing.
- GET /slicer-config/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
- POST /slicer-config/¶
- Status Codes:
201 Created – Resource created successfully
- Response Headers:
Location – URI of the created resource
- GET /slicer-config/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
- PUT /slicer-config/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
- DELETE /slicer-config/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
- GET /slicer-config/raw/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
400 Bad Request – Slicer config can only be attached to one of printer/printer-type or jeni-cluster The requested printer or printer_type or jeni-cluster is already attached to another slicing config Slicer config requires feature slicing to be enabled on bureau. Contact admins
- POST /slicer-config/raw/¶
- Status Codes:
201 Created – Resource created successfully
400 Bad Request – Slicer config can only be attached to one of printer/printer-type or jeni-cluster The requested printer or printer_type or jeni-cluster is already attached to another slicing config Slicer config requires feature slicing to be enabled on bureau. Contact admins
- Response Headers:
Location – URI of the created resource
- GET /slicer-config/raw/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
400 Bad Request – Slicer config can only be attached to one of printer/printer-type or jeni-cluster The requested printer or printer_type or jeni-cluster is already attached to another slicing config Slicer config requires feature slicing to be enabled on bureau. Contact admins
- PUT /slicer-config/raw/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
400 Bad Request – Slicer config can only be attached to one of printer/printer-type or jeni-cluster The requested printer or printer_type or jeni-cluster is already attached to another slicing config Slicer config requires feature slicing to be enabled on bureau. Contact admins
- DELETE /slicer-config/raw/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
400 Bad Request – Slicer config can only be attached to one of printer/printer-type or jeni-cluster The requested printer or printer_type or jeni-cluster is already attached to another slicing config Slicer config requires feature slicing to be enabled on bureau. Contact admins
- GET /slice/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
400 Bad Request – generated-exception-class raised invalid-payload generated-exception-class raised
- POST /slice/¶
- Status Codes:
201 Created – Resource created successfully
400 Bad Request – generated-exception-class raised invalid-payload generated-exception-class raised
- Response Headers:
Location – URI of the created resource
- GET /slice/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
400 Bad Request – generated-exception-class raised invalid-payload generated-exception-class raised
- POST /slicer-config/curated/¶
- Status Codes:
201 Created – Resource created successfully
- Response Headers:
Location – URI of the created resource